{-# LANGUAGE NoImplicitPrelude #-}
module Bamboo.Theme.MiniHTML5.Control.Search where
  
import Bamboo.Type.State
import Bamboo.Theme.MiniHTML5.Atom.Post (entry)
import Bamboo.Theme.MiniHTML5.Widget.Helper (nav)
import Bamboo.Theme.MiniHTML5.Env hiding (nav)
import Bamboo.Theme.MiniHTML5.Widget.Template (page)

view :: R
view s = page s - do
  s.posts.mapM_ (entry s)
  nav (s.pager) nav_url
  where
    nav_url = (s.env.slashed_script_name / "search") ++ "?s=" ++ (s.search_key) ++ "&"
